## hopscotch-map 2.2.1

=== debian/changelog ===
hopscotch-map (2.2.1-3) unstable; urgency=medium

  * Rules-Requires-Root: no
  * Convert to Architecture: all package to aid cross building of reverse
    build-depends and save archive space
  * Standards-Version: 4.5.0 (routine-update)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 18 Feb 2020 12:24:07 +0100

hopscotch-map (2.2.1-2) unstable; urgency=medium

  * Add g++ to the autopkgtest dependencies

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 09 Jan 2020 20:01:37 +0100

hopscotch-map (2.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #946638)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 12 Dec 2019 13:38:02 +0100
