=== debian/watch ===
version=4

https://github.com/Tessil/hopscotch-map/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
