## hopscotch-map 2.3.0

=== debian/changelog ===
hopscotch-map (2.3.0-3) unstable; urgency=medium

  * Team upload
  * Cherry-pick upstream patch to fix undefined behaviour with C++17
    and later standards
  * routine-update: Standards-Version: 4.6.1

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 08 Jul 2022 23:42:29 +0200

hopscotch-map (2.3.0-2) unstable; urgency=medium

  * Team upload
  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 22 Aug 2021 10:00:19 +0200

hopscotch-map (2.3.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 29 Jun 2020 13:27:55 +0200
