=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: libdevel
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Michael R. Crusoe <crusoe@debian.org>
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libboost-test-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/hopscotch-map
 Vcs-Git: https://salsa.debian.org/med-team/hopscotch-map.git
 Homepage: https://github.com/Tessil/hopscotch-map/
