=== debian/watch ===
version=4

https://github.com/Tessil/hopscotch-map/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
