## hopscotch-map 2.3.1

=== debian/changelog ===
hopscotch-map (2.3.1-2) unstable; urgency=medium

  * Team upload.
  * Fix build with CMake 4
    Closes: #1112993
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Oct 2025 07:20:53 +0200

hopscotch-map (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 12 Jul 2023 22:01:19 +0200
