=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: hopscotch-map
+Standards-Version: 4.7.2
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders:
+ Michael R. Crusoe <crusoe@debian.org>,
 Section: libdevel
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <crusoe@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               cmake,
-               libboost-test-dev
-Standards-Version: 4.6.1
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+ libboost-test-dev,
 Vcs-Browser: https://salsa.debian.org/med-team/hopscotch-map
 Vcs-Git: https://salsa.debian.org/med-team/hopscotch-map.git
 Homepage: https://github.com/Tessil/hopscotch-map/
@@ -15,7 +17,8 @@
 Package: libtsl-hopscotch-map-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: C++ fast hash map and hash set using hopscotch hashing
  The hopscotch-map library is a C++ implementation of a fast hash map and hash
  set using open-addressing and hopscotch hashing to resolve collisions. It is a
