=== debian/watch ===
Version: 5

Template: Github
Owner: Tessil
Project: hopscotch-map
